package com.bonus.material.project.mapper;

import feign.Param;

import java.util.List;
import java.util.Map;

public interface RegionMapper {
    // 查询所有省份
    List<Map<String, Object>> selectAllProvinces();

    // 根据「省的area_code」查询城市（参数名改为provinceAreaCode）
    List<Map<String, Object>> selectCitiesByProvinceId(@Param("provinceAreaCode") String provinceAreaCode);

    // 根据「市的area_code」查询区县（参数名改为cityAreaCode）
    List<Map<String, Object>> selectDistrictsByCityId(@Param("cityAreaCode") String cityAreaCode);

    String getNameByCode(String area_code);

    String getShortNameByCode(String areaCode);
}
